Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## be.ehealth.technicalconnector.ws.domain
Enum TokenType

    java.lang.Object
      java.lang.Enum<TokenType>
          be.ehealth.technicalconnector.ws.domain.TokenType

All Implemented Interfaces:
  Serializable, Comparable<TokenType>

    public enum TokenType

extends Enum<TokenType>

Enumeration to

Enum Constant Summary
`SAML` Webservice secured with a SAML assertion (Holder-Of-Key / Sender-Vouches) More information http://en.wikipedia.org/wiki/SAML
`X509` Webservice secured with a X509 certificate.

Method Summary
`static TokenType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TokenType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### X509

    public static final TokenType X509

  Webservice secured with a X509 certificate. More information: http://en.wikipedia.org/wiki/X509

### SAML

    public static final TokenType SAML

  Webservice secured with a SAML assertion (Holder-Of-Key / Sender-Vouches) More information http://en.wikipedia.org/wiki/SAML

Method Detail

### values

    public static TokenType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (TokenType c : TokenType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static TokenType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.14.2 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.